# Class AbstractButton.ButtonChangeListener

java.lang.Object
javax.swing.AbstractButton.ButtonChangeListener

All Implemented Interfaces:
  `Serializable, EventListener, ChangeListener`

Enclosing class:
  `AbstractButton`

protected class AbstractButton.ButtonChangeListener extends Object implements ChangeListener, Serializable
Extends `ChangeListener` to be serializable.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

Since:
  1.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `stateChanged(ChangeEvent e)`
  Invoked when the target of the listener has changed its state.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### stateChanged

    public void stateChanged(ChangeEvent e)
    Description copied from interface: `ChangeListener`
    Invoked when the target of the listener has changed its state.
    Specified by:
      `stateChanged` in interface `ChangeListener`
    Parameters:
      `e` - a ChangeEvent object